Subject: Re: bug#7700: 24.0.50; C-y binding withing Isearch mode

From: "Andrew W. Nosenko" <[email-masked]>
Date: Mon, 27 Dec 2010 01:33:09 +0200

On Mon, Dec 27, 2010 at 01:13, Andrew W. Nosenko
<[email-masked]> wrote:
> On Thu, Dec 23, 2010 at 19:14, Alan Mackenzie <[email-masked]> wrote:
>> Hi, Stefan,
>>
>> On Thu, Dec 23, 2010 at 10:30:50AM -0500, Stefan Monnier wrote:
>>> > Personally, I find this behavior inconsistent/annoying: I would expect that
>>> > C-y within Isearch add text X to the search text, where X is the text that
>>> > would be yanked in normal editing.
>>
>>> FWIW, I'd agree.  I've always found the C-y binding in isearch "useless"
>>> and counter-intuitive.  I'd much rather make C-y and M-y behave like
>>> they do in the minibuffer.
>>
>> I use C-y ("grab to next end of line") quite a bit.  But it annoys me
>> that it's bound to C-y.  I'd prefer C-y to do what M-y currently does,
>> but please don't unbind "grab to end of line" completely.  How about
>> swapping C-y and M-y, like the OP suggested?
>
> C-e and C-E (aka Ctrl-E and Ctrl-Shift-E)?  C-e because I see no
> useful meaning for "go to the end-of-line" inside isearch (if don't
> count the real break isearch and go to the end of line), and C-E for
> people with CUA "instincts".

Of course, I meant C-e and C-E as alternative key-bindings for the current C-y

-- 
Andrew W. Nosenko <[email-masked]>